%define module i2c-floppy 
%define version 0.4

Summary: The i2c floppy bus driver
Name: dkms-%{module}
Version: %{version}
Release:  %mkrel 1
License: GPL
Group: System/Kernel and hardware
Source0: %{module}-%{version}.tar.bz2
URL: http://www.13thfloor.at
Provides: %{module}
Requires: dkms >= 1.00
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root/

%description
This is a driver for a floppy controller based i2c adapter.

%prep
%setup -n %{module} -q

%build

%install
mkdir -p $RPM_BUILD_ROOT/usr/src/%{module}-%{version}-%{release}

cp -rf	*		$RPM_BUILD_ROOT/usr/src/%{module}-%{version}-%{release}
cat > %{buildroot}/usr/src/%{module}-%{version}-%{release}/dkms.conf <<EOF
PACKAGE_VERSION="%{version}-%{release}"

# Items below here should not have to change with each driver version
PACKAGE_NAME="%{module}"
MAKE[0]="make -C \${kernel_source_dir} SUBDIRS=\${dkms_tree}/\${PACKAGE_NAME}/\${PACKAGE_VERSION}/build/src modules"
CLEAN="make -C \${kernel_source_dir} SUBDIRS=\${dkms_tree}/\${PACKAGE_NAME}/\${PACKAGE_VERSION}/build/src clean"

BUILT_MODULE_NAME[0]="\$PACKAGE_NAME"
BUILT_MODULE_LOCATION[0]="src"
DEST_MODULE_LOCATION[0]="/kernel/drivers/i2c/busses"

AUTOINSTALL=yes
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/src/%{module}-%{version}-%{release}

%post
dkms add -m	%{module} -v %{version}-%{release} --rpm_safe_upgrade
dkms build -m	%{module} -v %{version}-%{release} --rpm_safe_upgrade
dkms install -m	%{module} -v %{version}-%{release} --rpm_safe_upgrade

%preun
dkms remove -m	%{module} -v %{version}-%{release} --rpm_safe_upgrade --all



%changelog
* Thu Aug 14 2008 Herbert Ptzl <herbert@13thfloor.at> 0.1-1mdk
- initial package

